Subject: Re: bug#76275: 31.0.50; frame-inhibit-implied-resize broken on recent master

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Feb 2025 13:47:02 +0200

> Date: Fri, 28 Feb 2025 10:25:07 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> 
>  > Maybe we should instead explain which settings could cause resize with
>  > t, but not with 'force'?
> 
> Here with a GTK3 build I get the following (frame-pixel-height) /
> (frame-total-lines) values:
> 
> emacs -Q ~> 792 / 36
> 
> emacs -Q --eval "(setopt frame-inhibit-implied-resize t)" ~> 751 / 34
> 
> emacs -Q --eval "(setopt frame-inhibit-implied-resize 'force)" ~> 751 / 34
> 
> So with a GTK build here the major difference is between nil and t and
> there's no difference between t and 'force.  Yet Sean sees a difference
> with t and 'force.
> 
> And with a Lucid build I get 830 / 37 in all cases.  What can I possibly
> explain?  Can you see a difference with these three cases?

If you understand why Sean sees a difference, please tell why, and I
will try to see how to document that.

Is the GTK case the only one you know of when these two settings yield
different effects?

Thanks.